yell() { echo "$0: $*" >&2; } #o Yell, Die, Try Three-Fingered Claw technique
die() { yell "$*"; exit 111; } #o Ref/Attrib: https://stackoverflow.com/a/25515370
try() { "$@" || die "cannot $*"; } #o
yell() { echo "$0: $*" >&2; } #o Yell, Die, Try Three-Fingered Claw technique
die() { yell "$*"; exit 111; } #o Ref/Attrib: https://stackoverflow.com/a/25515370
try() { "$@" || die "cannot $*"; } #o
# Depends: checkURL() 0.0.2, yell(), Bash 5.0.3
# Ref/Attrib: [1]: Test for space-less alphanuemric string. https://unix.stackexchange.com/a/416120
# [2]: Test for argument count. https://stackoverflow.com/q/18568706
# Depends: checkURL() 0.0.2, yell(), Bash 5.0.3
# Ref/Attrib: [1]: Test for space-less alphanuemric string. https://unix.stackexchange.com/a/416120
# [2]: Test for argument count. https://stackoverflow.com/q/18568706
# Validate remoteName
if [[ "$arg3" =~ ^[[:alnum:]]+$ ]]; then remoteName="$arg3";
else yell "ERROR:Not a valid remote name:$arg3"; return 1; fi; # See [1].
# Validate remoteName
if [[ "$arg3" =~ ^[[:alnum:]]+$ ]]; then remoteName="$arg3";
else yell "ERROR:Not a valid remote name:$arg3"; return 1; fi; # See [1].